#include <iostream>

#include <boost/program_options.hpp>

#include <QApplication>

#include <ros/ros.h>
#include <ros/console.h>

#include <View.hpp>
#include <Controller.hpp>

int main(int argc, char ** argv){
	ros::init(argc, argv, "hatptester");

	//Supported options
	boost::program_options::options_description desc("Allowed options");

	desc.add_options()
		("help,h", "Produce help message");
	
	//Parse the parameters
	boost::program_options::variables_map variables;
	boost::program_options::store(boost::program_options::parse_command_line(argc, argv, desc), variables);
	boost::program_options::notify(variables);
	
	//Print usage
	if(variables.count("help")){
		std::cout<<"Usage:  hatptester, the HATP plan request sender."<<std::endl;
		return 0;
	}
	
	ROS_INFO("Starts %s", argv[0]);
	
	hatptester::HATPController::getInstance(); //Initialise the controller
	
	QApplication app(argc, argv);

	hatptester::MainWindow window;
	
	return app.exec();
}
